$(function(){
	var url = $("#server_url").val();
  	initPerson(url);  	
});
/**
 * 初始化新闻列表
 */
function initPerson(server_url){
	dataTable({
      tableId:'customers',
      title:'新闻列表',
      url:server_url,
      idField:'id',
      columns:[[
		 {field : 'id',checkbox : true,align : 'center'},
		 {title : '渠道号',field : 'channelname',width : 150},
		 {title : '密钥',field : 'key',width : 150},
		 {title : '时间',field : 'createtime',width : 150}
		 ]],
	  showPage:true,
	  toolbar:'toolbar'
   });
}
//修改
$("#update_customer").click(function(){
	   var rows = $("#customers").datagrid("getChecked");
	   var len = rows.length;
	   if(len<1){
	   	  $.messager.alert("系统提示", "请选择要设置的数据！","warning");
	   	  return;
	   }else if(len>1){
	   	  $.messager.alert("系统提示", "每次只能设置一条数据，请重新选择！","warning");
	   	  return;
	   }
	   updateRowData(rows[0].id); 
	});
//修改数据
function updateRowData(customerId){   
	 var url = $("#update_url").val(); 
	   url = urlAddParmert(url,"customerId",customerId);
	   //打开easyui窗口
	   easyuiWidow({
	   	 title:'修改用户信息',
	     winId:'updateWin',
	     width:800,   
	     height:400,
	     iconCls:'icon-win-addmenu',
	     url:url
	   });
	} 
//增加TODO
$("#add_customer").click(function(){ 
	  var add_url = $("#add_url").val();	  
	  easyuiWidow({
		title:'添加渠道号',
		winId:'addWin',
		width:600,   
		height:300,
		iconCls:'icon-win-addmenu',
		url:add_url
	  });
});

//删除数据
$("#delete_customer").click(function(){
   var rows = $('#customers').datagrid('getSelections');
   var len = rows.length;
   if(len==0){
      $.messager.alert("系统提示","请选择要设置的选项","warning");
      return;
   }
   var ids = new Array();
   var pathss = new Array();
   for(var i = 0;i<len;i++){     
   	  ids.push(rows[i].id)   	  
   }
   deleteRowData(ids);
});
//删除数据
function deleteRowData(menuIds){
   var len = 1;
   var ids = new Array();
   if(typeof(menuIds)!='string'){
     len = menuIds.length;
     ids = menuIds;
   }else{
     ids.push(menuIds);
   }
   var url = $("#del_url").val();
   //var url=url+"/id/"+menuIds;
   //alert(url);
  // var url = "customerController.do?method=deleteCustomer";
    //删除数据
   deleteData({
     len:len,
     url:url,
     params:{'nid':ids,'version':Math.random()},
     dataType:'text',
     callback:function(msg){
        if(msg=="EMPTY"){
           $.messager.alert("系统提示","请选择要设置的数据","warning");
        }else if(msg=="FAIL"){
           $.messager.alert("系统提示","删除客户！","warning");
        }else if(msg=='"SUCCESS"'){
           reloadTable({tableId:'customers'});
        }else{
            $.messager.alert("系统提示","系统出现异常："+msg,"error");
        }
     }
   });
}

$("#serch").click(function(){
var standardAddress = $("#standardAddress").val();
	
	var params = {"standardAddress":standardAddress};
	 reloadTable({tableId:'customers',params:params});
});
