/**
 * @filename Categories.js
 * @encoding UTF-8
 * @author 董广强 <dongguangqiang@eoemarket.com>
 * @datetime 2014-9-12  17:22:03
 * @Descriptione
 */
var carousel, el, i, page, pageid, slides = ['hot', 'rise', 'new'];
var can_shu_obj = new Array();
can_shu_obj[0] = [{'k': 'hot', name: '最热', page: '2'}, {'k': 'rise', name: '上升最快', page: '1'}, {'k': 'new', name: '最新更新', page: '1'}];
can_shu_obj[1] = [{'k': 'rise', name: '上升最快', page: '2'}, {'k': 'new', name: '最新更新', page: '1'}, {'k': 'hot', name: '最热', page: '1'}];
can_shu_obj[2] = [{'k': 'new', name: '最新更新', page: '2'}, {'k': 'hot', name: '最热', page: '1'}, {'k': 'rise', name: '上升最快', page: '1'}];

var category_onload = {
    can_shu: '',
    init: function() {
        if (!$('#content_div').length) {
            return;
        }
        $(".hot_list li").each(function(i) {
            if ($(this).find(".on").length) {
                category_onload.can_shu = can_shu_obj[i];
            }
        })
        $("#getMore").click(function() {
            category_onload.get_more(this);
        });
        carousel = new SwipeView('#content_div', {
            numberOfPages: slides.length,
            hastyPageFlip: true,
            loop:true,
            snapThreshold:Math.round($("#content_div").width() * 0.25)
        });
//        carousel.onMoveOut(function() {
//            $(".swipeview-active").data("scroll_top", $(window).scrollTop());
//        })
        carousel.onFlip(function() {
            for (var i = 0; i < 3; i++) {
                if (slides[i] == category_onload.can_shu[carousel.pageIndex].k) {
                    $(".hot_list li a").removeClass("on").eq(i).addClass("on");
                    break;
                }
            }
            if($(".swipeview-active").attr('data-page-index')!=carousel.pageIndex){
                carousel.goToPage(carousel.pageIndex);
                return ;
            }
            category_onload.flip();
            var height = $(".swipeview-active").css("height");
            if (parseInt(height)) {
                $("#content_div").css("height", height);
            }
            //var scroll_top = parseInt($(".swipeview-active").data("scroll_top"));
            $(window).scrollTop(0);
        });
        //this.flip();
        $("#hide_div >div").appendTo(".swipeview-active");
        lazy_load.init("#content_div img");
        $("#content_div").css("height", $(".swipeview-active").css("height"));
        $(".gg_info").eq(0).val($(".gg_info").eq(0).attr('data-temp') + this.can_shu[carousel.pageIndex].name);
    },
    get_more: function(obj) {
        $(obj).unbind("click").find("span").addClass("hide").html("努力加载中...");
        //var sort = $(obj).attr("data_sort");
        var sort = this.can_shu[carousel.pageIndex].k;
        var cid = $(obj).attr("data_cid");
        //var pageNum = parseInt($(obj).attr("data_page"));
        var page_num = this.can_shu[carousel.pageIndex].page;
      
        $.get('/categories/getMore', {'order': sort, 'id': cid, 'pageNum': page_num}, function(data) {
            if (!data) {
                $(obj).find("span").html("已经全部加载");
                return;
            }
            $(data).appendTo(".swipeview-active");
            $("#content_div").css("height", $(".swipeview-active").css("height"));
            category_onload.can_shu[carousel.pageIndex].page++;
            $(obj).click(function() {
                category_onload.get_more(this)
            }).find("span").html("查看更多").removeClass("hide");
            lazy_load.init("#content_div img");
        });
    },
    flip: function() {
        //第一页自动加载
        if (this.can_shu[carousel.pageIndex].page == 1) {
            $("#getMore").click();
        }
        $(".gg_info").eq(0).val($(".gg_info").eq(0).attr('data-temp') + this.can_shu[carousel.pageIndex].name);
    }
}

var google_analytics_cate = {
    init: function() {
        $(".cate_box a").bind("click", function() {
            google_analytics_else.set_data($(this), '进入分类详情');
        })
    }
}

jQuery(function($) {
    category_onload.init();
    google_analytics_cate.init();
});



