/**
 * @filename top.js
 * @encoding UTF-8
 * @author 董广强 <dongguangqiang@eoemarket.com>
 * @datetime 2014-9-12  17:22:03
 * @Descriptione
 */
var common_fun = {
    init:function(){
        this.menu_show();
        this.back_to_top();
    },
    menu_show:function(){
        //头部菜单
        var show_menu = 0;
        $(".nav").toggle(function() {
            $(".nav_list").fadeIn();
            show_menu = 1;
        }, function() {
            $(".nav_list").fadeOut();
            show_menu = 0;
        });
        $("body").bind("click", function() {
            show_menu && $(".nav").click();
        })
    },
    back_to_top:function(){
        $("#back_to_top").hide();
        $(window).scroll(function() {
            var scroll_top = $(window).scrollTop();
            if (scroll_top <= 0) {
                common_fun.set_fixed(0);
            } else {
                common_fun.set_fixed(1);
            }
            if (scroll_top > 100) {
                $("#back_to_top").fadeIn(1500);
            }else {
                $("#back_to_top").fadeOut(1500);
            }
        });
        //当点击跳转链接后，回到页面顶部位置
        $("#back_to_top").click(function() {
            $('body,html').animate({scrollTop: 0}, 1000);
        });
    },
    set_fixed: function(flag) {
        if (flag && $(".header").css("position") != 'fixed') {
            $(".header").css("position", "fixed");
            $(".wrapper").css("top", parseInt($(".header").css("height")) + 1 + "px");
        } else if (flag == 0 && $(".header").css("position") == 'fixed') {
            $(".header").css("position", "relative");
            $(".wrapper").css("top", "1px");
        }

        if ($("#back_to_top").css("position") != 'fixed') {
            $("#back_to_top").css("position", "fixed");
        }
    }
}
var widget_func ={
    init:function(){
        this.mlyp_toggle();
        this.footer_ad_close();
        this.biBie();
    },
    mlyp_toggle:function(){
        $(".mlyp_toggle").toggle(function() {
            $(".mlyp_toggle").addClass("eoe_cor2");
            $(".syb_links ul").css("height", "auto");
        }, function() {
            $(".mlyp_toggle").removeClass("eoe_cor2");
            $(".syb_links ul").css("height", "55px");
        });
    },
    footer_ad_close:function(){
        $(".app_down,.down_close").click(function(){
            $(".down_rp,.footer_subject").slideUp(200);
        });
    },
    //装机必备
    biBie:function() {
        if ($("#biBeiId").length>0){
            var curent = 0;
            $(".app_tag>li:first").addClass("on1");
            $(".tag_con1:first").show();
            $(".app_tag>li").each(function(i) {
                $(this).click(function() {
                    $(this).addClass("on" + (i + 1)).siblings().removeClass("on" + (curent + 1));
                    curent = i;
                    $(".tag_con1").hide().eq(i).show();
                    lazy_load.trigger();
                });
            })
        }
    }
}
var lazy_load = {
    init: function() {
        var obj = 'img.lazy';
        if (arguments.length == 1) {
            obj = arguments[0];
        }
        $(obj).length && $(obj).lazyload({threshold: 200});
    },
    trigger: function() {
        $(window).scrollTop($(window).scrollTop() + 1);
    }
}

//谷歌分析全局
var google_analytics_else = {
    categary: '',
    action: '',
    lable: '',
    init: function() {
        $("#g_search").click(function() {
            google_analytics_else.categary = '其他';
            google_analytics_else.action = '点击搜索按钮';
            google_analytics_else.lable = '';
            google_analytics_else.ga();
        });
        $(".nav").click(function() {
            google_analytics_else.categary = '其他';
            google_analytics_else.action = '展开Menu';
            google_analytics_else.lable = '';
            google_analytics_else.ga();
        });
        $(".nav_list a").click(function() {
            google_analytics_else.categary = '其他';
            google_analytics_else.action = '点击Menu条目';
            google_analytics_else.lable = $(this).html();
            google_analytics_else.ga();
        })

        //所有的进入详情 action
        $("body").delegate(".list_rate_href,.list_desc_href,.g_href", "click", function() {
            google_analytics_else.set_data($(this), '进入应用详情');
        })
        //特殊进入详情 action
        $("body").delegate(".g_href_special", "click", function() {
            google_analytics_else.set_data($(this), '进入应用详情','.gg_info_special');
        })

        //所有下载  action 
        $("body").delegate(".down", "click", function() {
            google_analytics_else.set_data($(this), '下载');
        })
    },
    set_data: function(obj, action,child) {
        this.action = action;
        !child && (child = ".gg_info");
        var info_obj = obj.parents(".gg_class").children(child);
        if (!info_obj.length) {
            return;
        }
        var info_arr = info_obj.val().split("|");
        this.categary = info_arr[0];
        this.lable = info_arr[1];
        this.ga();
    },
    ga: function() {
        //alert(this.categary+"=="+this.action+"=="+this.lable);
        ga('send', 'event', this.categary, this.action, this.lable);
    }
}
jQuery(function($) {
    common_fun.init();
    widget_func.init();
    lazy_load.init();
    google_analytics_else.init();
});
