/**
 * @filename Subject.js
 * @encoding UTF-8
 * @author 董广强 <dongguangqiang@eoemarket.com>
 * @datetime 2014-9-15  16:15:52
 * @Descriptione
 */

var subject_onload = {
    init: function() {
        $("#getMore").click(function() {
            subject_onload.get_more(this);
        });
    },
    get_more: function(obj) {
        $(obj).unbind("click").find("span").html("努力加载中...").addClass("hide");
        var pageNum = parseInt($(obj).attr("data_page"));
        $.get('/Subjects/getMore', {'pageNum': pageNum}, function(data) {
            if (!data) {
                $(obj).find("span").html("已经全部加载");
                return;
            }
            $(data).appendTo("#content");
            $("#getMore").attr("data_page", (pageNum + 1)).click(function() {
                subject_onload.get_more(this)
            }).find("span").html("查看更多").removeClass("hide").addClass("show");
            lazy_load.init("#content img");
        });
    }
}

var google_analytics_subject = {
    init: function() {
        $("#content").delegate(".ad_img1 a,.eoe3_h3 a", "click", function() {
            google_analytics_else.categary = '专题';
            google_analytics_else.action = '进入专题详情';
            google_analytics_else.lable = $(this).attr("data_id");
            google_analytics_else.ga();
        })
    },
    trigger: function() {

    }
}
jQuery(function($) {
    subject_onload.init();
    google_analytics_subject.init();
});
