<?php
// +----------------------------------------------------------------------
// | ThinkPHP [ WE CAN DO IT JUST THINK IT ]
// +----------------------------------------------------------------------
// | Copyright (c) 2006-2014 http://thinkphp.cn All rights reserved.
// +----------------------------------------------------------------------
// | Licensed ( http://www.apache.org/licenses/LICENSE-2.0 )
// +----------------------------------------------------------------------
// | Author: liu21st <liu21st@gmail.com>
// +----------------------------------------------------------------------
/*
 * 邮件发送类 SendMail
 */
function SendMail($address, $title, $message) {
	// 引入第三方类库
	vendor ( 'PHPMailer.class#phpmailer' );
	
	// tp3.2.3版本代入命名空间，需要在实例化之前加主目录\
	
	$mail = new \PHPMailer ();
	
	// 设置PHPMailer使用SMTP服务器发送Email
	
	$mail->IsSMTP ();
	
	// 设置邮件的字符编码，若不指定，则为'UTF-8'
	
	$mail->CharSet = 'UTF-8';
	
	// 添加收件人地址，可以多次使用来添加多个收件人
	
	$mail->AddAddress ( $address );
	
	// 设置邮件正文
	
	$mail->Body = $message;
	
	// 设置邮件头的From字段。
	
	$mail->From = C ( 'MAIL_ADDRESS' );
	
	// 设置发件人名字
	
	$mail->FromName = '柏思睿特手机助手中心';
	
	// 设置邮件标题
	
	$mail->Subject = $title;
	
	// 设置SMTP服务器。
	
	$mail->Host = C ( 'MAIL_SMTP' );
	
	// 设置为"需要验证"
	
	$mail->SMTPAuth = true;
	
	// 设置用户名和密码。
	
	$mail->Username = C ( 'MAIL_LOGINNAME' );
	
	$mail->Password = C ( 'MAIL_PASSWORD' );
	
	// 发送邮件。
	
	return ($mail->Send ());
}
