$(function(){
	var url = $("#server_url").val();
  	initPerson(url);  	
});
/**
 * 初始化新闻列表
 */
function initPerson(server_url){
	dataTable({
      tableId:'customers',
      title:'所有应用列表',
      url:server_url,
      idField:'id',
      columns:[[
		 {field : 'id',checkbox : true,align : 'center'},
		 {title : '软件名',field : 'name',width : 150}, 
		 {title : '修改时间',field : 'updatetime',width : 150}	,
		 {title : '开发公司',field : 'webfrom',width : 150},  
		 {title : '下载次数',field : 'downloadtotalnum',width : 150},
		 {title : '大小',field : 'size',width : 150},
		 {title : '图片',field : 'iconpath',width : 200,align :'center',formatter:function(value,row,index){
			 if(row.bendiurl==1){
				 var s = '<img src="/phpweb/Uploads/'+row.iconpath+'" width="100%" height="30" />';
           	 	 return s;
			 }else{
				 var s = '<img src="http://file.shouji.com/'+row.iconpath+'icon_m.png'+'" width="100%" height="30" />';
	           	 return s;
			 }
             }
            }
		 ]],
	  showPage:true,
	  toolbar:'toolbar'
   });
}

$("#update_customer").click(function(){
	   var rows = $("#customers").datagrid("getChecked");
	   var len = rows.length;
	   if(len<1){
	   	  $.messager.alert("系统提示", "请选择要修改的数据！","warning");
	   	  return;
	   }else if(len>1){
	   	  $.messager.alert("系统提示", "每次只能修改一条数据，请重新选择！","warning");
	   	  return;
	   }
	   updateRowData(rows[0].id); 
	});
//修改数据
function updateRowData(customerId){   
	   var url = $("#update_url").val(); 
	   url = urlAddParmert(url,"customerId",customerId);
	   //打开easyui窗口
	   easyuiWidow({
	   	 title:'修改商户信息',
	     winId:'updateWin',
	     width:800,   
	     height:400,
	     iconCls:'icon-win-addmenu',
	     url:url
	   });
	}
//增加TODO
$("#add_customer").click(function(){
	  var add_url = $("#add_url").val();	  
	  easyuiWidow({
		title:'添加新闻',
		winId:'addWin',
		width:600,   
		height:300,
		iconCls:'icon-win-addmenu',
		url:add_url
	  });
});

//删除数据
$("#delete_customer").click(function(){
	 var rows = $('#customers').datagrid('getSelections');
	   var len = rows.length;
	   if(len==0){
	      $.messager.alert("系统提示","请选择要删除的记录","warning");
	      return;
	   }
	   var ids = new Array();
	   var pathss = new Array();
	   for(var i = 0;i<len;i++){     
	   	  ids.push(rows[i].id); 
	   }
	   deleteRowData(ids);
});
//删除数据
function deleteRowData(menuIds){
	 var len = 1;
	   var ids = new Array();
	   if(typeof(menuIds)!='string'){
	     len = menuIds.length;
	     ids = menuIds;
	   }else{
	     ids.push(menuIds);
	   } 
	   var url = $("#del_url").val();  
	   //var url=url+"/id/"+menuIds;
	   //alert(url);
	  // var url = "customerController.do?method=deleteCustomer";
	    //删除数据
	   deleteData({
	     len:len,
	     url:url,
	     params:{'ids':ids,'version':Math.random()},
	     dataType:'text',
	     callback:function(msg){   
	        if(msg=="EMPTY"){
	           $.messager.alert("系统提示","请选择要删除的记录","warning");
	        }else if(msg=="FAIL"){
	           $.messager.alert("系统提示","删除客户！","warning");
	        }else if(msg=='"SUCCESS"'){
	           reloadTable({tableId:'customers'});
	        }else{
	            $.messager.alert("系统提示","系统出现异常："+msg,"error");
	        }
	     }
	   });
}

$("#serch").click(function(){
var standardAddress = $("#standardAddress").val();
	
	var params = {"standardAddress":standardAddress};
	 reloadTable({tableId:'customers',params:params});
});
