$(function(){
	var url = $("#server_url").val();
  	initPerson(url);  	
});
/**
 * 初始化新闻列表
 */
function initPerson(server_url){
	dataTable({
      tableId:'customers',
      title:'新闻列表',
      url:server_url,
      idField:'id',
      columns:[[
		 {field : 'id',checkbox : true,align : 'center'},
		 {title : '新闻标题',field : 'title',width : 150}, 
		 {title : '点击量',field : 'seenum',width : 150}	,
		 {title : '创建人',field : 'createrid',width : 150},  
		 {title : '描述',field : 'description',width : 150},		 
		 {title : '图片',field : 'picPath',width : 200,align : 'center',formatter:function(value,row,index){
           	 var s = '<img src="http://file.shouji.com/'+row.picturepath+'" width="100%" height="30" />';
           	 return s;
             }
            }
		 ]],
	  showPage:true,
	  toolbar:'toolbar'
   });
}
$("#update_customer").click(function(){
	   var rows = $("#customers").datagrid("getChecked");
	   var len = rows.length;
	   if(len<1){
	   	  $.messager.alert("系统提示", "请选择要设置的数据！","warning");
	   	  return;
	   }else if(len>1){
	   	  $.messager.alert("系统提示", "每次只能设置一条数据，请重新选择！","warning");
	   	  return;
	   }	
	   updateRowData(rows[0].id); 
	});
//修改数据
function updateRowData(customerId){  	
	   var url = $("#update_url").val(); 
	   $.post(url,{"customerId":customerId,"version":Math.random()},function(msg){    	  
		   if(msg=='SUCCESS')	{ 
	     		alert("设置成功");
	     	 }
	     	 if(msg=='error'){
	     		 alert('设置成功');
	     		 return false;
	     	 }
		 });
	}
//增加TODO
$("#add_customer").click(function(){
	  var add_url = $("#add_url").val();	  
	  easyuiWidow({
		title:'添加新闻',
		winId:'addWin',
		width:600,   
		height:300,
		iconCls:'icon-win-addmenu',
		url:add_url
	  });
});

//删除数据
$("#delete_customer").click(function(){
   var rows = $('#customers').datagrid('getSelections');
   var len = rows.length;
   if(len==0){
      $.messager.alert("系统提示","请选择要设置的选项","warning");
      return;
   }
   var ids = new Array();
   var pathss = new Array();
   for(var i = 0;i<len;i++){     
   	  ids.push(rows[i].id)   	  
   }
   deleteRowData(ids);
});
//删除数据
function deleteRowData(menuIds,pathss){
   var len = 1;
   var ids = new Array();
   if(typeof(menuIds)!='string'){
     len = menuIds.length;
     ids = menuIds;
   }else{
     ids.push(menuIds);
   }
   var url = $("#del_url").val();
   //var url=url+"/id/"+menuIds;
   //alert(url);
  // var url = "customerController.do?method=deleteCustomer";
    //删除数据
   deleteData({
     len:len,
     url:url,
     params:{'id':ids,'version':Math.random()},
     dataType:'text',
     callback:function(msg){
        if(msg=="EMPTY"){
           $.messager.alert("系统提示","请选择要设置的数据","warning");
        }else if(msg=="FAIL"){
           $.messager.alert("系统提示","删除客户！","warning");
        }else if(msg=='"SUCCESS"'){
           reloadTable({tableId:'customers'});
        }else{
            $.messager.alert("系统提示","系统出现异常："+msg,"error");
        }
     }
   });
}

/*$("#serch").click(function(){
	 
var standardAddress = $("#standardAddress").val();
var standardAddress = $("#standardAddress1").val();
	var params = {"standardAddress":standardAddress};
	var params1 = {"standardAddress1":standardAddress1};
	 reloadTable({tableId:'customers',params:params,params1:params1});
});*/
