/**
 * @filename comment.js
 * @encoding UTF-8
 * @author 董广强 <dongguangqiang@eoemarket.com>
 * @datetime 2014-9-12  17:22:03
 * @Descriptione
 */
var comment = {
    ajaxRuquest: 0,
    commentInfo: '',
    init: function() {
        //获取更多
        $('.view_more').click(function() {
            comment.getComment();
            google_analytics_apps.trigger();
        });

        //提交评论
        $('.comment_btn1').live("click", function() {
            comment.addComment();
            $(".eoe_reply").removeClass("eoe2_reply");
            $(".eoe_reply").text("回复"); 
        });

        //回复按钮
         

        $(".eoe_reply").live("click", function() {
                var  reply_text=$(this).text();
                if(reply_text=="回复"){

                var newPid = $(this).attr("data_id");
                 comment.replyHandle(newPid);
                 $(this).text("取消回复");
                 $(this).addClass("eoe2_reply");
               }
               else{
                comment.replyHandle(0);
                comment.dataInit();
                $(this).text("回复"); 
                $(this).removeClass("eoe2_reply");
           }
        });

        //取消按钮
        $(".comment_cancel").live("click", function() {
            comment.replyHandle(0);
            comment.dataInit();
        });
        //点赞按钮
        $('.eoe_dz').live("click", function() {
            $(this).addClass("eoe_dz_h");
            $("em",$(this)).text(parseInt($("em",$(this)).text())+1);
            $.post("/Apps/addGreat/id/"+$(this).attr('data_id'), {}, function(data) {});
        });

        //我来说两句
        $(".to_top2").live("click", function() {
            comment.replyHandle(0);
            comment.dataInit();
            $("#commentTextarea_0").focus();
            return;
        });


        this.getComment();
    },
    dataInit: function() {
        $('#commentTextarea_0').val('');
        $("#commentPnickName").val('');
        $("#commentPid").val(0);
        $.fn.raty.start(3);
        $(".star_box2 span").html("3.0");
        $(".error_tip").html("");
    },
    getComment: function() {
        var appId = $('#commentAppId').val();
        var start = $('#comment_list>li').size();
        $.post("/Apps/commentList", {app_id: appId, start: start}, function(data) {
            if (data) {
                if ($(".eoe_reply", data).size() < 5) {
                    $(".view_more").hide();
                    if (!start) {
                        //第一次少于5条
                        $(".to_top2").hide();
                    }
                }
                $('#comment_list').append(data);
                lazy_load.init('#comment_list img');
                return;
            }
            $(".view_more").unbind("click");

            if (start) {
                //第二页无评论
                $(".view_more").html("暂时没有内容啦");
            } else {
                //第一页无评论
                //$(".view_more").html("暂无评论，快来抢沙发吧");

                $(".view_more").hide();
                $(".to_top2").hide();
                $("#comment_list").addClass('comment_line');
            }
        });
    },
    addComment: function() {
        if (this.ajaxRuquest) {
            return false;
        }

        var pid = $("#commentPid").val();
        var commentInfo = $.trim($('#commentTextarea_' + pid).val());
        if (!commentInfo) {
            this.showError("内容不能为空");
            return false;
        }
        if (comment.commentInfo == commentInfo) {
            this.showError("请勿重复提交");
            return false;
        }
        comment.commentInfo = commentInfo;
        this.showInfo("请求发送中...");
        this.ajaxRuquest = 1;
        $.ajax({
            url: "/Apps/comment",
            type: "POST",
            data: $("#commentSubmitForm").serialize(),
            dataType: "json",
            success: function(data) {
                comment.ajaxRuquest = 0;
                comment.callback(data, pid);
                $("#comment_list").removeClass('comment_line');
            }
        });
    },
    callback: function(data, pid) {
        if (data.msg != '评论成功' || !data.comment) {
            this.showError(data.msg);
            return ;
        }
        if (pid == 0) {
            $('#comment_list').prepend(data.comment);
            this.dataInit();
            lazy_load.init('#comment_list img');
            return;
        } 
        var obj = $("#subCommentCount_" + pid);
        if (obj.length) {
            obj.html(parseInt(obj.html()) + 1);
            $("li", data.comment).appendTo($("#comment_" + pid + " ul"));
        } else {
            $("#comment_" + pid).append(data.comment);
        }
        this.replyHandle(0);
        this.dataInit();
        lazy_load.init("#comment_" + pid + " img");
//            var top = $('#comment_' + pid).offset().top;
//            $("body").animate({scrollTop: top}, 1000);
        
    },
    replyHandle: function(newPid) {
        var pid = $("#commentPid").val();
        $('#commentTextarea_' + pid).val('');
        $("#replay_" + pid).hide();
        $("#commentPid").val(newPid);
        $("#replay_" + newPid).show().fadeIn();
        $("#commentTextarea_" + pid).attr("name", "");
        var obj = $("#commentTextarea_" + newPid).attr("name", "comment");
        newPid && obj.focus();
    },
    showError: function(info) {
        $(".error_tip").show().html(info).fadeOut(2000, function() {
            $(this).html("");
        });
    },
    showInfo: function(info) {
        $(".error_tip").html(info);
    }
};

(function($) {
    comment.init();
})(jQuery);