/**
 * @filename Search.js
 * @encoding UTF-8
 * @author 董广强 <dongguangqiang@eoemarket.com>
 * @datetime 2014-9-15  16:15:52
 * @Descriptione
 */

var search_onload = {
    init: function() {
        $("#getMore").click(function() {
            search_onload.get_more(this);
        });
    },
    get_more: function(obj) {
        $(obj).unbind("click").find("span").html("努力加载中...").addClass("hide");
        var pageNum = parseInt($(obj).attr("data_page"));
        var keyword = $(obj).attr("data_kw");
        $.get('/Search/index', {'pageNum': pageNum, 'keyword': keyword}, function(data) {
            if (!data) {
                $(obj).find("span").html("已经全部加载");
                return;
            }
            $(data).appendTo("#content_div");
            if ($("ul", $(data)).size() < 20) {
                $("#getMore").attr("data_page", (pageNum + 1)).find("span").html("已经全部加载");
            } else {
                $("#getMore").attr("data_page", (pageNum + 1)).click(function() {
                    search_onload.get_more(this)
                }).find("span").html("查看更多").removeClass("hide");
            }
            lazy_load.init("#content_div img");
        });
    }
}
jQuery(function($) {
    search_onload.init();
});