<?php  
/*
 * 检测用户是否安装和环境是否符合安装要求
 * */
@header('Content-type: text/html; charset=UTF-8');
if (phpversion() < '5.3.0') exit('您的php版本太低了 我们不支持');
$page['get'] = $_GET;
$page['post'] = $_POST;

$step = isset($page['get']['step']) && $page['get']['step'] != ''?(int)$page['get']['step']:1;
//检测是否安装过
if (file_exists(dirname(__FILE__) . '/install.lock.php')){
	require 'project.php';
	exit();
} 
//开始安装 
switch ($step) { 
	case 1 : // 加载安装协议书
		include_once(dirname(__FILE__) . '/templates/step' . $step . '.php');
		break;
		case 2:
			// 判断gd库是否加载
			$PHP_GD = '';
			if (extension_loaded('gd')) {
				if (function_exists('imagepng')) $PHP_GD .= 'png';
				if (function_exists('imagejpeg')) $PHP_GD .= ' jpg';
				if (function_exists('imagegif')) $PHP_GD .= ' gif';
			}
			// 判断是否支持json
			$PHP_JSON = '0';
			if (extension_loaded('json')) {
				if (function_exists('json_decode') && function_exists('json_encode')) $PHP_JSON = '1';
			}
			
			$PHP_DNS = preg_match("/^[0-9.]{7,15}$/", @gethostbyname('www.baidu.com')) ? 1 : 0;
			// 是否满足appcms安装需求
			$is_right = (phpversion() >= '5.0.0' && extension_loaded('mysql') && $PHP_JSON && $PHP_GD) ? 1 : 0;
			
			include_once(dirname(__FILE__) . '/templates/step' . $step . '.php');
			break;
		case 4:
			include_once(dirname(__FILE__) . '/templates/step' . $step . '.php');
       	 break; 
       	 case 5 :// 创建表 初始化基本数据
       	 	$isok = ''; //安装完成判断变量
       	 	$host = isset($page['get']['host']) && $page['get']['host'] != ''?trim($page['get']['host']):'127.0.0.1';
       	 	$dbuname = isset($page['get']['dbuname']) && $page['get']['dbuname'] != ''?trim($page['get']['dbuname']):'root';
       	 	$dbpass = isset($page['get']['dbpass']) && $page['get']['dbpass'] != ''?trim($page['get']['dbpass']):'';
       	 	$dbname = isset($page['get']['dbname']) && $page['get']['dbname'] != ''?trim($page['get']['dbname']):'appcms';
       	 	$dbprefix = isset($page['get']['dbprefix']) && $page['get']['dbprefix'] != ''?trim($page['get']['dbprefix']):'appcms_';
       	 	$dbcharset = isset($page['get']['dbcharset']) && $page['get']['dbcharset'] != ''?trim($page['get']['dbcharset']):'utf8';
       	 	$aduname = isset($page['get']['aduname']) && $page['get']['aduname'] != ''?trim($page['get']['aduname']):'admin';
       	 	$adpass = isset($page['get']['adpass']) && $page['get']['adpass'] != ''?(trim($page['get']['adpass'])):'77e2edcc9b40441200e31dc57dbb8829'; //后台加密方式
       	 	$adpass = strtoupper(MD5($adpass));
       	 	$safecode = isset($page['get']['safecode']) && $page['get']['safecode'] != ''?trim($page['get']['safecode']):''; //后台登录安全码
       	 	 try {
       	 	 	// 把需改过的配置 写入到 conf.conn.php
       	 	 	$confile = dirname(__FILE__) . '/core/config.conn.php';
       	 	 	//跟换表前缀
       	 	 	if (!file_exists(dirname(__FILE__) . '/data/data.sql')) die('数据库文件不存在！');
       	 	 	$sqlfile=file_get_contents(dirname(__FILE__) . '/data/data.sql');
       	 	 	$newdata=preg_replace("~(create table.*?)(appcms_)(.*?\()~","$1$dbprefix$3",$sqlfile);
       	 	 	if (!file_exists(dirname(__FILE__) . '/data/data_init.sql')) die('数据库文件不存在！');
       	 	 	$sqlfile=file_get_contents(dirname(__FILE__) . '/data/data_init.sql');
       	 		$newinitdata=str_replace('appcms_',$dbprefix,$sqlfile);
       	 	 	$c = file_get_contents($confile);
       	 	 	$c = preg_replace('/define\(\'DB_HOST\',\s{0,}\'([\w\d\.-]+)\'\)/i', "define('DB_HOST', '" . $host . "')", $c, 1);
       	 	 	$c = preg_replace('/define\(\'DB_USERNAME\',\s{0,}\'([\w\d\.-]+)\'\)/i', "define('DB_USERNAME', '" . $dbuname . "')", $c, 1);
       	 	 	$c = preg_replace('/define\(\'DB_PASS\',\s{0,}\'([\w\d\.-]+)\'\)/i', "define('DB_PASS', '" . $dbpass . "')", $c, 1);
       	 	 	$c = preg_replace('/define\(\'DB_DBNAME\',\s{0,}\'([\w\d\.-]+)\'\)/i', "define('DB_DBNAME', '" . $dbname . "')", $c, 1);
       	 	 	$c = preg_replace('/define\(\'DB_CHARSET\',\s{0,}\'([\w\d\.-]+)\'\)/i', "define('DB_CHARSET', '" . $dbcharset . "')", $c, 1);
       	 	 	$c = preg_replace('/define\(\'TB_PREFIX\',\s{0,}\'([\w\d\.-]+)\'\)/i', "define('TB_PREFIX', '" . $dbprefix . "')", $c, 1);
       	 	 	file_put_contents($confile, $c);
       	 	 	$sqls = get_sqls($newdata);
       	 	 	$inits = get_sqls($newinitdata, 2);
       	 	 	if (!@mysql_connect($host, $dbuname, $dbpass)) die("数据库连接失败");
       	 	 	if (@mysql_select_db($dbname)) {
       	 	 		//if (!@mysql_query("DROP DATABASE " . $dbname . "")) die("删除数据库失败"); //删除原有的数据库
       	 	 	} else{
       	 	 		if (!@mysql_query(" CREATE DATABASE " . $dbname . " ")) die("创建数据库失败");
       	 	 	}
       	 	 	mysql_query("SET NAMES " . $dbcharset . " ");
       	 	 	mysql_select_db($dbname);
       	 	 	// 循环执行sql
       	 	 	foreach($sqls as $v) {
       	 	 		if (!mysql_query($v)) {
       	 	 			echo mysql_error();
       	 	 		}
       	 	 	}
       	 	 	//执行初始化数据
       	 	 	foreach($inits as $v) {
       	 	 		if (!mysql_query($v)) {
       	 	 			echo mysql_error();
       	 	 		}
       	 	 	}
       	 	 	$tiem = date('Y-m-d:H:i:s');
       	 	 	// 初始化管理员信息
       	 	 	//判断是否账号重复
       	 	 	/* $sql1 = "SELECT * from ".$dbprefix."apps_user where email='".$aduname."' ";
       	 	 	$a = mysql_query($sql1);
       	 	 	 if($a==false) ignore*/
       	 	 	 
       	 	 	$sql="INSERT  INTO ".$dbprefix."apps_user (userTel,email,password,username,nicname,type,status,verificationCode,headpic,createTime,loginTime) VALUES('','".$aduname."','".$adpass."','','','','1','1','','".$tiem."','".$tiem."')";
       	 	 	mysql_query($sql);       	 	 	       	 	 	       	 	 	
       	 	 	//安装完成生成唯一KEY值
       	 	 	$chars = 'abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789';
       	 	 	$password = '';
       	 	 	for ( $i = 0; $i < 12; $i++ )
       	 	 	{
       	 	 		$password .= $chars[ mt_rand(0, strlen($chars) - 1) ];
       	 	 	}
       	 	 	$url="http://apps.ijibao.com/index.php/Index/key/keyid/$password";
       	 	 	$html = file_get_contents ( $url ); 
       	 	 	$sql1212="INSERT  INTO ".$dbprefix."key (key_name,createtime) VALUES('".$password."','".$tiem."')";
       	 	 	mysql_query($sql1212);
       	 	 	$r = fopen(dirname(__FILE__) . '/install.lock.php', 'w+'); //安装后创建
       	 	 	fclose($r);
       	 	 	$isok = 1;
       	 	 	include_once(dirname(__FILE__) . '/templates/step' . $step . '.php');
       	 	 	break;
       	 	 } catch (Exception $e) {
       	 	 	mysql_query("DROP DATABASE " . $dbname . "");
       	 	 	unlink(dirname(__FILE__) . '/install.lock.php');
       	 	 	$isok = 0;
       	 	 	echo $e -> getMessage();
       	 	 	die('数据加载失败');
       	 	 }
       	 	case 10:
       	$host = isset($page['get']['host']) && $page['get']['host'] != ''?trim($page['get']['host']):'127.0.0.1';
        $dbuname = isset($page['get']['dbuname']) && $page['get']['dbuname'] != ''?trim($page['get']['dbuname']):'root';
        $dbpass = isset($page['get']['dbpass']) && $page['get']['dbpass'] != ''?trim($page['get']['dbpass']):'';
        $dbname = isset($page['get']['dbname']) && $page['get']['dbname'] != ''?trim($page['get']['dbname']):'appcms';
        $dbprefix = isset($page['get']['dbprefix']) && $page['get']['dbprefix'] != ''?trim($page['get']['dbprefix']):'appcms_'; 
        $aduname = isset($page['get']['aduname']) && $page['get']['aduname'] != ''?trim($page['get']['aduname']):'admin';
        $adpass = isset($page['get']['adpass']) && $page['get']['adpass'] != ''?(trim($page['get']['adpass'])):'77e2edcc9b40441200e31dc57dbb8829'; //后台加密方式
       	$adpass = strtoupper(MD5($adpass));
		// 此处不必做空值判断
        if (!@mysql_connect($host, $dbuname, $dbpass)) die('{"code":"1","msg":"不能连接数据库"}'); //不能连接数据库
        if (!@mysql_select_db($dbname)) {
            if (!@mysql_query("CREATE DATABASE " . $dbname . " ")) die('{"code":"2","msg":"不能创建数据库"}'); //不能创建数据库
        } else {
            //die('{"code":"3","msg":"数据库已经存在如果安装就请换一个名字"}'); //数据库已经存在如果安装就请换一个名字
        } ;
		//验证用户名和密码
		if (empty($aduname)) die('{"code":"210","msg":"账号名不能为空"}');
        if (empty($page['get']['adpass'])) die('{"code":"220","msg":"密码不能为空"}');
		if (strlen($page['get']['adpass']) < 5) die('{"code":"240","msg":"密码过于简单"}');
        if (strlen($page['get']['adpass']) > 20) die('{"code":"250","msg":"密码超出限定长度"}');
		if(!preg_match('~^[A-Za-z][A-Za-z]*[a-z0-9_]*$~', $aduname)){
			die('{"code":"230","msg":"账号名必须以字母开头，只允许字母、数字、下划线"}'); //用户名规则不符合	       
		}
        die('{"code":"0","msg":"测试成功"}'); //测试成功
        break;		
    default:
        break;
       	 	
}
function get_sqls($sqlf, $type = 1) {
	/* if (!file_exists($sqlfile)) die('数据库文件不存在！');
	 $sqlf = file_get_contents($sqlfile); */
	$sqlf = preg_replace('/\/[\*]+.*?[\*]+\//', '', $sqlf); //删除注释
	if ($type == 1) {
		$sqlf = preg_replace('~(\n)|(\r)~', '', $sqlf);
		$sqll = explode(';', $sqlf);
	} else {
		$sqlf = preg_replace('~(\n)|(\r)~', '@#@', $sqlf);
		$sqll = explode('@#@', $sqlf);
	}
	$sqls = array();
	foreach($sqll as $k => $v) {
		if ($v == '') continue;
		$sqls[] = $v;
	}
	return $sqls;
}
//生成key值
function rand_zifu($what,$number){
	$string='';
	for($i = 1; $i <= $number; $i++){
		//混合
		$panduan=1;
		if($what == 3){
			if(rand(1,2)==1){
				$what=1;
			}else{
				$what=2;
			}
			$panduan=2;
		}

		//数字
		if($what==1){
			$string.=rand(0,9);
		}elseif($what==2){
			//字母
			$rand=rand(0,24);
			$b='a';
			for($a =0;$a <=$rand;$a++){
				$b++;
			}
			$string.=$b;
		}
		if($panduan==2)$what=3;
	}
	return $string;
}